Package com.fasterxml.jackson.datatype.jdk8

# Class Jdk8Serializers

java.lang.Object
com.fasterxml.jackson.databind.ser.Serializers.Base
com.fasterxml.jackson.datatype.jdk8.Jdk8Serializers

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.ser.Serializers`, `Serializable`

public class Jdk8Serializers extends com.fasterxml.jackson.databind.ser.Serializers.Base implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.ser.Serializers

`com.fasterxml.jackson.databind.ser.Serializers.Base`

## Constructor Summary

Constructors
Constructor
Description
`Jdk8Serializers()`

## Method Summary

Modifier and Type
Method
Description
`com.fasterxml.jackson.databind.JsonSerializer<?>`
`findReferenceSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.type.ReferenceType refType, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.jsontype.TypeSerializer contentTypeSerializer, com.fasterxml.jackson.databind.JsonSerializer<Object> contentValueSerializer)`
`com.fasterxml.jackson.databind.JsonSerializer<?>`
`findSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.JavaType type, com.fasterxml.jackson.databind.BeanDescription beanDesc)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.Serializers.Base

`findArraySerializer, findCollectionLikeSerializer, findCollectionSerializer, findMapLikeSerializer, findMapSerializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jdk8Serializers

public Jdk8Serializers()

## Method Details

### findReferenceSerializer

public com.fasterxml.jackson.databind.JsonSerializer<?> findReferenceSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.type.ReferenceType refType, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.jsontype.TypeSerializer contentTypeSerializer, com.fasterxml.jackson.databind.JsonSerializer<Object> contentValueSerializer)

Specified by:
  `findReferenceSerializer` in interface `com.fasterxml.jackson.databind.ser.Serializers`
Overrides:
  `findReferenceSerializer` in class `com.fasterxml.jackson.databind.ser.Serializers.Base`

### findSerializer

public com.fasterxml.jackson.databind.JsonSerializer<?> findSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.JavaType type, com.fasterxml.jackson.databind.BeanDescription beanDesc)

Specified by:
  `findSerializer` in interface `com.fasterxml.jackson.databind.ser.Serializers`
Overrides:
  `findSerializer` in class `com.fasterxml.jackson.databind.ser.Serializers.Base`